module Constants where

import Graphics.UI.WX
import Colors

kSELECTED_WIDTH :: Int
kSELECTED_WIDTH = 3

kEDGE_CLICK_RANGE, kNODE_RADIUS, kARROW_SIZE:: Double
kEDGE_CLICK_RANGE   = 0.2
kNODE_RADIUS        = 1.0
kARROW_SIZE         = 0.3

kSELECTED_OPTIONS :: [Prop (DC ())]
kSELECTED_OPTIONS = [ penWidth := kSELECTED_WIDTH ]

kNodeLabelColour :: Colour
kNodeLabelColour = licorice

kNodeInfoColour :: Colour
kNodeInfoColour = darkViolet

kNodeMapColour :: Colour
kNodeMapColour = darkSlateGray 

kEdgeLabelColour :: Colour
kEdgeLabelColour = orangeRed

kEdgeInfoColour :: Colour
kEdgeInfoColour = orangeRed

-- ports
kPortRadius = 0.08 :: Double
kPortSelectionRadius = 0.2 :: Double

kPortPenWidth = 0 :: Int
kPortPenColor = yellow :: Color
kPortBrushColor = yellow :: Color

kPrincipalPortPenColor = green :: Color 
kPrincipalPortBrushColor = green :: Color 
kPrincipalPortSize = 3 :: Int

kInterfacePortPenColor = blue :: Color
kInterfacePortBrushColor = blue :: Color

kPortSelectedColor = red :: Color

palette = "palettes/interface" ++ '.' : paletteExt :: FilePath

-- | The first port in the list of ports is treated differently if 'True'.
hasPrincipalPorts = True :: Bool

toolName = "INblobs" :: String

netExt = "INblobs" :: String

paletteExt = "INblobpalette" :: String

extensions,paletteExtensions :: [(String, [String])]
extensions = [ (toolName ++ " files (." ++ netExt ++ ")", ["*." ++ netExt]) ]
paletteExtensions = [ ("Shape palettes (." ++ paletteExt ++ ")", ["*." ++ paletteExt]) ]


